Torque Wrapper DLLs compatible?

Blitz3D Forums/Blitz3D Userlibs/Torque Wrapper DLLs compatible?

t3K|Mac(Posted 2007) [#1]

I am noob at wrapper DLLs, so my question is: are torque wrapper dlls compatible with B3D (i know, i have to create the decls file first)?

JaviCervera(Posted 2007) [#2]
Where are the Torque Wrapper Dlls?

t3K|Mac(Posted 2007) [#3]
i got one from a friend in canada (its a trackIR-wrapper dll for torque engine). i am trying to get this to work with blitz3d. atm i still get annoying "userlib not found" errors while trying this. i don't know where to search the error... is it my decls file or is the wrapper dll not working with b3d? or do i have to write a new wrapper dll for TrackIR for B3D?

damned that i never learned c/c++ and dll writing...

JaviCervera(Posted 2007) [#4]
So you want to use TrackIR with B3D, and not a dll-wrapped Torque with B3D?

Your .decls file must start with:

.lib "myfile.dll"

And the dll must be in the "userlibs" folder, or in your app folder.

t3K|Mac(Posted 2007) [#5]
its a trackir-wrapper dll for torque. i have my decls file and the dll in the userlibs folder, but i still get the error at first trackir call...

ZJP(Posted 2007) [#6]
Another solution. Maybe the BEST !!!: GlovePIE

NaturalPoint (Or eDimensional) TrackIR, OptiTrack, SmartNav supported.